Blob Blame History Raw
/*  -*- buffer-read-only: t -*- vi: set ro:
 *
 * DO NOT EDIT THIS FILE   (ao-strs.c)
 *
 * It has been AutoGen-ed
 * From the definitions    ao-strs.def
 * and the template file   strings
 *
 *  Copyright (C) 2011-2018 Bruce Korb, all rights reserved.
 *  This is free software. It is licensed for use, modification and
 *  redistribution under the terms of the
 *  Modified (3 clause) Berkeley Software Distribution License
 *  <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  3. Neither the name ``Bruce Korb'' nor the name of any other
 *     contributor may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 *  strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
 *  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED.  IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
 *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#include "ao-strs.h"

char const ao_strs_strtable[6714] =
/*     0 */ "-_^\0"
/*     4 */ "  %s%s\n\0"
/*    12 */ "<?auto-options\0"
/*    27 */ "<?program\0"
/*    37 */ "%%-%ds %%s\n\0"
/*    49 */ "<?program %s>\n\0"
/*    64 */ "\n"
            "%s\n\n\0"
/*    70 */ "=file\0"
/*    76 */ "=Mbr\0"
/*    81 */ "=Cplx\0"
/*    87 */ "[=arg]\0"
/*    94 */ "--%2$s%1$s\0"
/*   105 */ "=Tim\0"
/*   110 */ "none\0"
/*   115 */ "#  preset/initialization file\n"
            "#  %s#\n\0"
/*   153 */ " %3s %-14s %s\0"
/*   167 */ "%s\0"
/*   170 */ "T/F\0"
/*   174 */ "\n"
            "%s\n\n"
            "%s\0"
/*   182 */ "Fil\0"
/*   186 */ "KWd\0"
/*   190 */ "Mbr\0"
/*   194 */ "Cpx\0"
/*   198 */ "no \0"
/*   202 */ "Num\0"
/*   206 */ "opt\0"
/*   210 */ "YES\0"
/*   214 */ "Str\0"
/*   218 */ "Tim\0"
/*   222 */ "\t\t\t\t- \0"
/*   229 */ "\t\t\t\t  \0"
/*   236 */ "\t\t\t\t-- and \0"
/*   248 */ "\t\t\t\t%s\n\0"
/*   256 */ "      \0"
/*   263 */ "     \0"
/*   269 */ "   \0"
/*   273 */ "  \0"
/*   276 */ "all\0"
/*   280 */ " \t\n"
            ":=\0"
/*   286 */ "%s_%s_%d=\0"
/*   296 */ "''\0"
/*   299 */ "        ;;\n\n\0"
/*   312 */ "'\n\n\0"
/*   316 */ "</%s>\n\0"
/*   323 */ "  %s\n\0"
/*   329 */ "%%-%ds\0"
/*   336 */ "\n"
            "export %s_%s_%d\n\0"
/*   354 */ "false\0"
/*   360 */ "    -* )\n\0"
/*   370 */ "flag\0"
/*   375 */ "INVALID-%d\0"
/*   386 */ "*INVALID*\0"
/*   396 */ "\\n\\\n\0"
/*   401 */ "    --* )\n\0"
/*   412 */ "--\0"
/*   415 */ "LONGUSAGE\0"
/*   425 */ "            %s\n\0"
/*   441 */ "\\%03o\0"
/*   447 */ "more\0"
/*   452 */ "<%s type=nested>\n\0"
/*   470 */ "%s\n\0"
/*   474 */ "%s\n"
            "  \0"
/*   480 */ "OPT_ARG_NEEDED=NO\0"
/*   498 */ "<%s/>\n\0"
/*   505 */ "OPT_ARG_NEEDED=OK\0"
/*   523 */ "\t\0"
/*   525 */ "<%s>\0"
/*   530 */ "option\0"
/*   537 */ "\n"
            "export %s_%s\n\0"
/*   552 */ "%s_%s=\0"
/*   559 */ " | \0"
/*   563 */ "PAGER\0"
/*   569 */ "%1$s %2$s ; rm -f %2$s\0"
/*   592 */ " + \0"
/*   596 */ "  puts(_(%s));\n\0"
/*   612 */ "\\'\0"
/*   615 */ "'%s'\0"
/*   620 */ " -- %s\0"
/*   627 */ "%s_%s_TEXT='\0"
/*   640 */ "#! %s\n\0"
/*   647 */ "\n"
            "env | grep '^%s_'\n\0"
/*   667 */ "=%1$lu # 0x%1$lX\n\0"
/*   685 */ "stdout\0"
/*   692 */ "%A %B %e, %Y at %r %Z\0"
/*   714 */ "TMPDIR\0"
/*   721 */ "%s/use-%u.XXXXXX\0"
/*   738 */ "true\0"
/*   743 */ "<%s type=%s>\0"
/*   756 */ "VERSION\0"
/*   764 */ "#x%02X;\0"
/*   772 */ "OPT_ARG_NEEDED=YES\0"
/*   791 */ "\n"
            "# %s -- %s\n\0"
/*   804 */ "# DEFAULT: \0"
/*   816 */ "'\\''\0"
/*   821 */ " '%s'\0"
/*   827 */ "libopts misguessed length of string\n\0"
/*   864 */ "\n"
            "OPTION_CT=0\n\0"
/*   878 */ "set --\0"
/*   885 */ "/tmp\0"
/*   890 */ "            ;;\n\n\0"
/*   907 */ "        '%c' )\n\0"
/*   923 */ "        '%s' )\n\0"
/*   939 */ "        '%s' | \\\n\0"
/*   957 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
/*   989 */ "#  From the %s option definitions\n"
            "#\n\0"
/*  1026 */ "echo 'Warning:  Cannot load options files' >&2\0"
/*  1073 */ "echo 'Warning:  Cannot save options files' >&2\0"
/*  1120 */ "echo 'Warning:  Cannot suppress the loading of options files' >&2\0"
/*  1186 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
/*  1221 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
/*  1252 */ "%1$s_%2$s_MODE='%3$s'\n"
            "export %1$s_%2$s_MODE\n\0"
/*  1297 */ "%1$s_%2$s='%3$s'\n"
            "export %1$s_%2$s\n\0"
/*  1332 */ "%1$s_%2$s_CT=%3$d\n"
            "export %1$s_%2$s_CT\n\0"
/*  1371 */ "OPTION_CT=%d\n"
            "export OPTION_CT\n\0"
/*  1402 */ "%1$s_%2$s=%3$s\n"
            "export %1$s_%2$s\n\0"
/*  1435 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
            "export %1$s_%2$s\n\0"
/*  1477 */ "        case \"${OPT_CODE}\" in\n\0"
/*  1508 */ "            if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
            "                echo 'Error:  more than %3$d %2$s options'\n"
            "                echo \"$%1$s_USAGE_TEXT\"\n"
            "                exit 1\n"
            "            fi >&2\n\0"
/*  1699 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
            "    echo %1$s_%2$s has not been set\n"
            "    exit 1\n"
            "} 1>&2\n\0"
/*  1791 */ "test -n \"$%1$s_%2$s\" || {\n"
            "    echo %1$s_%2$s has not been set\n"
            "    exit 1\n"
            "} 1>&2\n\0"
/*  1872 */ "            echo \"$%s_%s_TEXT\"\n"
            "            exit 0\n\0"
/*  1923 */ "\n"
            "# # # # # # # # # #\n"
            "#\n"
            "#  END OF AUTOMATED OPTION PROCESSING\n"
            "#\n"
            "# # # # # # # # # # -- do not modify this marker --\n\0"
/*  2039 */ "    if [ -n \"${OPT_ARG_VAL}\" ]\n"
            "    then\n"
            "        eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
            "        export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
            "    fi\n"
            "done\n"
            "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
            "OPERAND_COUNT=$#\n"
            "unset OPT_PROCESS || :\n"
            "unset OPT_ELEMENT || :\n"
            "unset OPT_ARG     || :\n"
            "unset OPT_ARG_NEEDED || :\n"
            "unset OPT_NAME    || :\n"
            "unset OPT_CODE    || :\n"
            "unset OPT_ARG_VAL || :\n\0"
/*  2418 */ "        OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
            "        shift\n"
            "        OPT_ARG=$1\n"
            "        case \"${OPT_CODE}\" in *=* )\n"
            "            OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
            "            OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
/*  2669 */ "        OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
            "        OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
/*  2786 */ "\n"
            "ARG_COUNT=$#\n"
            "OPT_PROCESS=true\n"
            "OPT_ARG=$1\n"
            "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
            "do\n"
            "    OPT_ELEMENT=''\n"
            "    OPT_ARG_VAL=''\n\n"
            "    case \"${OPT_ARG}\" in\n"
            "    -- )\n"
            "        OPT_PROCESS=false\n"
            "        shift\n"
            "        ;;\n\0"
/*  2993 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
            "        NO )\n"
            "            OPT_ARG_VAL=''\n"
            "            ;;\n"
            "        YES )\n"
            "            if [ -z \"${OPT_ARG_VAL}\" ]\n"
            "            then\n"
            "                if [ $# -eq 0 ]\n"
            "                then\n"
            "                    echo No argument provided for ${OPT_NAME} option\n"
            "                    echo \"$%s_USAGE_TEXT\"\n"
            "                    exit 1\n"
            "                fi >&2\n"
            "                OPT_ARG_VAL=${OPT_ARG}\n"
            "                shift\n"
            "                OPT_ARG=$1\n"
            "            fi\n"
            "            ;;\n"
            "        OK )\n"
            "            if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
            "            then\n"
            "                case \"${OPT_ARG}\" in -* ) ;; * )\n"
            "                    OPT_ARG_VAL=${OPT_ARG}\n"
            "                    shift\n"
            "                    OPT_ARG=$1 ;; esac\n"
            "            fi\n"
            "            ;;\n"
            "        esac\n\0"
/*  3772 */ "            %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
            "            OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
            "            OPT_NAME='%2$s'\n\0"
/*  3896 */ "\n"
            "if test -z \"${%1$s_%2$s}\"\n"
            "then\n"
            "  %1$s_%2$s_CT=0\n"
            "  export %1$s_%2$s_CT\n"
            "else\n"
            "  %1$s_%2$s_CT=1\n"
            "  %1$s_%2$s_1=${%1$s_%2$s}\n"
            "  export %1$s_%2$s_CT %1$s_%2$s_1\n"
            "fi\n\0"
/*  4054 */ "    * )\n"
            "         OPT_PROCESS=false\n"
            "         ;;\n"
            "    esac\n\0"
/*  4111 */ "            %1$s_%2$s_CT=0\n"
            "            OPT_ELEMENT=''\n"
            "            %1$s_%2$s='%3$s'\n"
            "            export %1$s_%2$s\n"
            "            OPT_NAME='%2$s'\n\0"
/*  4252 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
            "                echo 'Error:  duplicate %2$s option'\n"
            "                echo \"$%1$s_USAGE_TEXT\"\n"
            "                exit 1\n"
            "            fi >&2\n"
            "            %1$s_%2$s_set=true\n"
            "            %1$s_%2$s='%3$s'\n"
            "            export %1$s_%2$s\n"
            "            OPT_NAME='%2$s'\n\0"
/*  4569 */ "\n"
            "ARG_COUNT=$#\n"
            "OPT_ARG=$1\n"
            "while [ $# -gt 0 ]\n"
            "do\n"
            "    OPT_ELEMENT=''\n"
            "    OPT_ARG_VAL=''\n"
            "    OPT_ARG=${1}\n\0"
/*  4672 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
            "        NO )\n"
            "            if [ -n \"${OPT_ARG}\" ]\n"
            "            then\n"
            "                OPT_ARG=-${OPT_ARG}\n"
            "            else\n"
            "                shift\n"
            "                OPT_ARG=$1\n"
            "            fi\n"
            "            ;;\n"
            "        YES )\n"
            "            if [ -n \"${OPT_ARG}\" ]\n"
            "            then\n"
            "                OPT_ARG_VAL=${OPT_ARG}\n"
            "            else\n"
            "                if [ $# -eq 0 ]\n"
            "                then\n"
            "                    echo No argument provided for ${OPT_NAME} option\n"
            "                    echo \"$%s_USAGE_TEXT\"\n"
            "                    exit 1\n"
            "                fi >&2\n"
            "                shift\n"
            "                OPT_ARG_VAL=$1\n"
            "            fi\n"
            "            shift\n"
            "            OPT_ARG=$1\n"
            "            ;;\n"
            "        OK )\n"
            "            if [ -n \"${OPT_ARG}\" ]\n"
            "            then\n"
            "                OPT_ARG_VAL=${OPT_ARG}\n"
            "                shift\n"
            "                OPT_ARG=$1\n"
            "            else\n"
            "                shift\n"
            "                if [ $# -gt 0 ]\n"
            "                then\n"
            "                    case \"$1\" in -* ) ;; * )\n"
            "                        OPT_ARG_VAL=$1\n"
            "                        shift ;; esac\n"
            "                    OPT_ARG=$1\n"
            "                fi\n"
            "            fi\n"
            "            ;;\n"
            "        esac\n\0"
/*  5826 */ "            echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
            "            exit 0\n\0"
/*  5900 */ "%s OF %s\n"
            "#\n"
            "#  From here to the next `-- do not modify this marker --',\n"
            "#  the text has been generated %s\n\0"
/*  6006 */ "            eval %1$s_%2$s${OPT_ELEMENT}=true\n"
            "            export %1$s_%2$s${OPT_ELEMENT}\n\0"
/*  6096 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
            "                echo 'Error:  duplicate %2$s option'\n"
            "                echo \"$%1$s_USAGE_TEXT\"\n"
            "                exit 1\n"
            "            fi >&2\n"
            "            %1$s_%2$s_set=true\n"
            "            OPT_NAME='%2$s'\n\0"
/*  6355 */ "\n"
            "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
            "%1$s_%2$s_set=false\n"
            "export %1$s_%2$s\n\0"
/*  6424 */ "\n"
            "%1$s_%2$s=${%1$s_%2$s}\n"
            "%1$s_%2$s_set=false\n"
            "export %1$s_%2$s\n\0"
/*  6486 */ "# # # # # # # # # # -- do not modify this marker --\n"
            "#\n"
            "#  DO NOT EDIT THIS SECTION\n\0"
/*  6569 */ "        * )\n"
            "            echo Unknown %s: \"${OPT_CODE}\" >&2\n"
            "            echo \"$%s_USAGE_TEXT\" >&2\n"
            "            exit 1\n"
            "            ;;\n"
            "        esac\n";

/* end of ao-strs.c */